#right_slice .contentti{
    padding: 40px 2.5%;    
}

#right_slice #hakuehto{
    width:100%;
    height:60px;
    line-height: 60px;
    background-color: rgba(247,247,247,1.00);
    border-radius: 35px;
    outline: none;
    border:0;
    padding: 0px 20px;
    font-size: 15px;
    box-sizing: border-box;
    text-align: left;
}

#x22x{ display:block; }

#x22x:checked ~ #tuotelistax_wrap {
    display: flex;
    width: 100%;
}

#right_slice #shortcut_wrap {
    display: flex;
    flex-direction: column;
    width: 95%;
    max-width: 1000px;
	box-sizing: border-box;
	padding: 12px;
    gap:5px 0px;
	margin:15px auto;
	border-radius: 12px;
	background-color:rgba(222,220,220,0.2);
}

#right_slice #shortcut_wrap .shortcut{
	position: relative;
	display: flex;
	flex-direction: row;
	width:100%;
	height: auto;
	min-height: 50px;
	background-color: rgba(255,255,255,1.00);
	text-align: left;
	padding: 0px 25px;
	border-radius: 25px;
    overflow: hidden;
	box-sizing: border-box;
    color:black;
	margin:2px auto;
	align-items: center;
    gap:0px 4px;
	justify-content: space-between;
    box-shadow: 1px 2px 1px rgba(165,165,165,0.70), inset 0px -20px 4px rgba(236,237,236,1.00);
}

#right_slice #shortcut_wrap .shortcut div {
    width: 100%; 
    height:50px;
    line-height: 50px;
    text-overflow: ellipsis;
    text-wrap:nowrap;
    white-space: nowrap;
    overflow: hidden;
}

#right_slice #shortcut_wrap .shortcut div:nth-of-type(1){ min-width: 110px; max-width: 130px; }
#right_slice #shortcut_wrap .shortcut div:nth-of-type(2){ min-width: 50px; max-width: 100px; }
#right_slice #shortcut_wrap .shortcut div:nth-of-type(3){ min-width: 200px; }
#right_slice #shortcut_wrap .shortcut div:nth-of-type(4){ min-width: inherit; }
#right_slice #shortcut_wrap .shortcut div:nth-of-type(5){ min-width: 160px; }


#tuotekortti_edit input[type="submit"],
#tuotekortti_edit button{
    margin:10px 0px;
}

#right_slice #tuotekortti_wrap .disabled:after,
#right_slice #tuotekortti_wrap .available:after,
#right_slice #tuotekortti_wrap .popup:after{
	position: absolute;
	top:0px;
	left:0px;
	bottom:0px;
	content: "";
	margin: auto 0px;
	font-size: 40px;
	font-weight: 900;
	width:25px;
	height:25px;
	background-size: 25px;
    background-repeat: no-repeat;
    background-position: center;
	transform: translate(10px, 0px) scale(1, 1);
}

#right_slice #tuotekortti_wrap .popup:after{ background-image:url("/admin/imgs/star-alt.svg"); }
#right_slice #tuotekortti_wrap .available:after{ background-image:url("/admin/imgs/eye.svg"); }
#right_slice #tuotekortti_wrap .disabled:after{ background-image:url("/admin/imgs/chatreadhidden.svg"); }

#right_slice .tuotekortti .q_cat,
#right_slice .tuotekortti .q_title,
#right_slice .tuotekortti .q_price,
#right_slice .tuotekortti .q_alv,
#right_slice .tuotekortti .q_img,
#right_slice .tuotekortti .q_showmore {
	display: flex;
	width:auto;
	height:auto;
	line-height: 45px;
	font-size:15px;
	font-weight:700;
	margin:0px 0px;
	box-sizing: border-box;
	padding: 0px 3px;
	color:black;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	-webkit-appearance:none;
}

#right_slice select,
#right_slice button,
#right_slice label,
#right_slice input[type="button"],
#right_slice input[type="submit"]{
    display: flex;
	width: auto;
    min-width: 120px;
	height:60px;
	line-height: 60px;
	font-size: 13px;
	font-weight: 500;
	padding: 0px 22px;
	border-radius: 30px;
	background-color: rgba(126,176,196,1.00);
    box-shadow: inset 0px -15px 4px rgba(111,111,155,0.5); 
	color:white;
	-webkit-appearance:none;
    text-align: center;
    align-items: center;
    justify-content: center;
	border:0;
	margin: 0px 2px;
	transition: all 0.5s;
}

#right_slice select {
	position: relative;
	background-color: rgba(210,214,215,1.00);
	color:rgba(43,42,42,1.00);
}

#right_slice select:after{
	position: absolute;
	top:0px;
	right:0px;
	transform: rotate(90deg);
	content:">";
}

#right_slice label:hover,
#right_slice select:hover,
#right_slice input[type="submit"]:hover,
#right_slice input[type="button"]:hover,
#right_slice button:hover{
	background-color: rgba(46,132,167,1.00);
	transform:scale(1.05);
}

#right_slice .tuotekortti p { display: inline-block; white-space: nowrap; }

#right_slice .tuotekortti .status { display:flex; width:40px; text-overflow: ellipsis; overflow: hidden; white-space: nowrap; }
#right_slice .tuotekortti .q_cat { display:flex; width:40px; text-overflow: ellipsis; overflow: hidden; white-space: nowrap; }
#right_slice .tuotekortti .q_title { width: calc( 100% - 240px ); } 
#right_slice .tuotekortti .q_price { width:90px; text-align:right; font-size:16px; font-weight:700; color:rgba(17,17,17,1.00); }
#right_slice .tuotekortti .q_alv { width:70px; text-align:right; font-size:16px; font-weight:700; color:rgba(20,20,20,1.00); }
#right_slice .tuotekortti .q_img { display:flex; width:40px; text-align:right; font-size:16px; font-weight:700; color:rgba(18,18,18,1.00); }
#right_slice .tuotekortti .q_showmore { 
    display:flex;
    width:40px;
    text-align:right;
    font-size:16px;
    font-weight:700;
    color:rgba(18,18,18,1.00);
}

#right_slice .tuotekortti .q_img img,
#right_slice .tuotekortti .status img,
#right_slice .tuotekortti .q_showmore img,
#right_slice .tuotekortti .q_cat img {
	margin: auto;
	width: 25px;
	height: 25px;
}

#right_slice .tuotekortti .q_showmore a { display: contents; }

#tuotekortti_edit_wrap{
    position: fixed;
    display: flex;
    top:0px;
    left:0px;
    width:100%;
    height:100vh;
    align-items: center;
    justify-content: center;
    transform: translate(150%, 0px);
    background-color:rgba(35,96,161,0.58);
    -webkit-backdrop-filter:blur(3px);
    backdrop-filter:blur(3px);
    transition: all 0.3s;
    z-index: 3333;
}

#tuotekortti_edit_wrap #tuotekortti_edit{
    width:90%;
    max-width:1050px;
    height: 100vh;
    background-color:rgba(35,55,120,0.975);
	padding: 50px 3%;
    overflow-y:auto;
    box-sizing: border-box;
    z-index: 8855;
}

#x22x{display:none; }
#tuotekortti_edit_wrap #tuotekortti_edit input[name='slide']{ display:none; }

#tuotekortti_edit_wrap #tuotekortti_edit .topto1,
#tuotekortti_edit_wrap #tuotekortti_edit .topto2 {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap:0px 10px;
    width: 100%;
}

#tuotekortti_edit_wrap #tuotekortti_edit .topto1 #deleteprodbtn{
    background-color: red;
    background-image: linear-gradient(33deg, rgba(223,22,22,1.00) 22%, rgba(160,8,13,1.00) 95%);
}

#tuotekortti_edit_wrap #tuotekortti_edit .topto2 {
    background-color:rgba(218,218,218,1.00);
    border-radius: 20px;
    margin: 10px 0px 20px 0px
}

#tuotekortti_edit_wrap #tuotekortti_edit .topto2 label {
    width:auto;
    height: 40px;
    line-height: 40px;
    background-color:rgba(218,218,218,1.00);
    color:black;
    font-size: 12px;
    font-weight: 300;
    padding: 0px 20px;
    border-radius: 25px;
}

#tuotekortti_edit_wrap #tuotekortti_edit .slide01{
    display:flex;
    flex-direction: column;
    gap: 3px 0px;
}

#tuotekortti_edit_wrap #tuotekortti_edit input,
#tuotekortti_edit_wrap #tuotekortti_edit select,
#tuotekortti_edit_wrap #tuotekortti_edit textarea {
	display: block;
	width:100%;
	height:40px;
	line-height: 40px;
	font-size:14px;
	font-weight:400;
	border-radius: 5px;
	border:0;
	background-color: rgba(231,231,231,1.00);
	margin:4px auto;
	box-sizing: border-box;
	padding: 0px 10px;
	-webkit-appearance:none;
}

#tuotekortti_edit_wrap #tuotekortti_edit .ins{
    display: flex;
    width: 100%;
    flex-direction: column;
    margin: 5px auto;
}

#tuotekortti_edit_wrap #tuotekortti_edit .tietoots{
	display: block;
	width: 100%;
	max-width: none;
	height: 17px;
	line-height: 17px;
	text-align: left;
	font-size:13px;
	font-weight: 400;
	padding: 0px 0px;
    color:aliceblue;
	margin: 0px auto 0px 0px;
	box-sizing: border-box;
}

#tuotekortti_edit_wrap #tuotekortti_edit .tietoots .lang_fi,
#tuotekortti_edit_wrap #tuotekortti_edit .tietoots .lang_en{
	width: 100%;
	height: auto;
}

#tuotekortti_edit_wrap #tuotekortti_edit #imgplaceholder{
    display: flex;
    width: 200px;
    height: 200px;
    overflow: hidden;
    object-position: center;
    background-color: white;
}

#tuotekortti_edit_wrap #tuotekortti_edit #imgplaceholder img{
    width:100%;
    height:100%;
    object-fit: contain;
}

#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap {
    display: flex;
    flex-direction: column;
    width:100%;
    height: auto;
    background-color:rgba(235,235,235,0.5);
    padding: 15px;
    box-sizing: border-box;
    border-radius: 15px;
}

#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice{
    display: flex;
    flex-direction: row;
    width:100%;
    height:40px;
    line-height: 40px;
    border-radius: 5px;
    background-color:rgba(226,226,226,1.00);
    padding: 0px 0px;
    margin: 3px 0px;
}

#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ma,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ti,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ke,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .to,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .pe,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .la,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .su{
    margin: 0;
    padding: 0px 20px;
    box-sizing: border-box;
}

#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ma:before,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ti:before,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ke:before,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .to:before,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .pe:before,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .la:before,
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .su:before{
    margin:0px 10px 0px 0px;
}

#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ma:before{ content: "Ma"; }
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ti:before{ content: "Ti"; }
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .ke:before{ content: "Ke"; }
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .to:before{ content: "To"; }
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .pe:before{ content: "Pe"; }
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .la:before{ content: "La"; }
#tuotekortti_edit_wrap #tuotekortti_edit #hinta_rules_wrap .customprice .su:before{ content: "Su"; }


#tuotekortti_edit_wrap #tuotekortti_edit textarea {
	height: 100px;
	line-height: 20px;
	padding: 10px 10px;
	box-sizing: border-box;
}